MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
AutoGunzipReader Class Referencefinal

A filter that detects gzip compression and optionally inserts a GunzipReader. More...

`#include <AutoGunzipReader.hxx>`

Inheritance diagram for AutoGunzipReader:
[legend]
Collaboration diagram for AutoGunzipReader:
[legend]

## Public Member Functions
| AutoGunzipReader (Reader &_next)
| ~AutoGunzipReader ()
virtual size_t | Read (void *data, size_t size) override
| Read data from the stream. More...
Public Member Functions inherited from Reader
| Reader ()=default
| Reader (const Reader &)=delete

## Detailed Description

A filter that detects gzip compression and optionally inserts a GunzipReader.

Definition at line 33 of file AutoGunzipReader.hxx.

## Constructor & Destructor Documentation

AutoGunzipReader::AutoGunzipReader | ( | Reader & | _next | ) |
| inline explicit

Definition at line 39 of file AutoGunzipReader.hxx.

AutoGunzipReader::~AutoGunzipReader | ( |  | ) |

## Member Function Documentation

virtual size_t AutoGunzipReader::Read | ( | void * | data,
|  | size_t | size
| ) |  |
| override virtual

Read data from the stream.

Returns
  the number of bytes read into the given buffer or 0 on end-of-stream

Implements Reader.

The documentation for this class was generated from the following file:

- fs/io/AutoGunzipReader.hxx